from app.mail.message_content import MessageContent

USER_EMAIL_SUCCESSFULLY_REGISTERED = MessageContent(
    subject="Successfully registered!",
    body="Congratulations! Your account has been successfully created.\nThis mail also serves as a test that the email address is correct",
)

USER_EMAIL_SUCCESSFULLY_LOGGED_IN = MessageContent(
    subject="New Login detected!",
    body="A new login token has been created",
)

USER_EMAIL_SUCCESSFULLY_LOGGED_OUT = MessageContent(
    subject="Successfully logged out",
    body="A login has been revoked. No further action is needed.",
)

USER_EMAIL_SUCCESSFULLY_UPDATED_ACCOUNT = MessageContent(
    subject="Account updated",
    body="Your account has been successfully updated. This also means you have been logged out of everywhere",
)

USER_EMAIL_SUCCESSFULLY_DELETED_ACCOUNT = MessageContent(
    subject="Account Deleted!",
    body="Your account has been deleted. No further action needed",
)